<?php

add_theme_support('title-tag');
add_theme_support('automatic-feed-links');

include "inc/core/meta-fields.php";
include "inc/core/post-type.php";
include "inc/core/taxonomy.php";
include "inc/libs/aqua-resize/aqua_resize.php";
include "inc/core/slots-import.php";
register_nav_menus( array(
	'top'    => 'Верхнее меню',
	'red'    => 'Красное меню справа',
	'gray'   => 'Серое меню справа',
	'footer' => 'Футер',

) );


register_sidebar( array(
	'name'          => "Футер 1",
	'id'            => 'footer1',
	'before_widget' => '<div class="footer__block">',
	'after_widget'  => '</div>',
	'before_title'  => ' <div class="footer__caption">',
	'after_title'   => '</div>',
) );

register_sidebar( array(
	'name'          => "Футер 2",
	'id'            => 'footer2',
    'before_widget' => '<div class="footer__block">',
    'after_widget'  => '</div>',
    'before_title'  => ' <div class="footer__caption">',
    'after_title'   => '</div>',
) );
register_sidebar( array(
	'name'          => "Футер 3",
	'id'            => 'footer3',
    'before_widget' => '<div class="footer__block">',
    'after_widget'  => '</div>',
    'before_title'  => ' <div class="footer__caption">',
    'after_title'   => '</div>',
) );
register_sidebar( array(
	'name'          => "Футер 4",
	'id'            => 'footer4',
    'before_widget' => '<div class="footer__block">',
    'after_widget'  => '</div>',
    'before_title'  => ' <div class="footer__caption">',
    'after_title'   => '</div>',
) );







add_action( 'wp_enqueue_scripts', 'theme_src' );
function theme_src() {
	wp_enqueue_style( 'main-css', get_stylesheet_uri(), array(), null );
	wp_deregister_script( 'jquery' );
	wp_enqueue_script( 'jquery', get_template_directory_uri() . '/assets/js/jquery-1.12.4.js', array(), null, true );
	wp_enqueue_script( 'owl', get_template_directory_uri() . '/assets/js/owl.carousel.min.js', array(), '1.0.0', true );
	wp_enqueue_script( 'main', get_template_directory_uri() . '/assets/js/scripts.js', array(), null, true );
}

add_theme_support( 'title-tag' );
add_theme_support( 'post-thumbnails' );
if ( 'disable_gutenberg' ) {
	add_filter( 'use_block_editor_for_post_type', '__return_false', 100 );
	remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );
	add_action( 'admin_init', function () {
		remove_action( 'admin_notices', [ 'WP_Privacy_Policy_Content', 'notice' ] );
		add_action( 'edit_form_after_title', [ 'WP_Privacy_Policy_Content', 'notice' ] );
	} );
}
function load_template_part( $template_name, $part_name = null ) {
	ob_start();
	get_template_part( $template_name, $part_name );
	$var = ob_get_contents();
	ob_end_clean();

	return $var;
}

function load_posts() {
	$result              = '';
	$args                = unserialize( stripslashes( $_POST['query'] ) );
	$args['paged']       = $_POST['page'] + 1;
	$args['post_status'] = 'publish';
	$args['post_type']   = 'slots';
	query_posts( $args );
	if ( have_posts() ):while ( have_posts() ):the_post();
		$result .= load_template_part( 'loop/slot_item' );endwhile;endif;
	die( $result );
}

add_action( 'wp_ajax_loadmore', 'load_posts' );
add_action( 'wp_ajax_nopriv_loadmore', 'load_posts' );
function pagination( $prev = '«', $next = '»' ) {
	global $wp_query, $wp_rewrite;
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
	$pagination = array(
		'base'      => @add_query_arg( 'paged', '%#%' ),
		'format'    => '',
		'total'     => $wp_query->max_num_pages,
		'current'   => $current,
		'prev_text' => __( $prev ),
		'next_text' => __( $next ),
		'type'      => 'plain'
	);
	if ( $wp_rewrite->using_permalinks() ) {
		$pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
	}
	if ( ! empty( $wp_query->query_vars['s'] ) ) {
		$pagination['add_args'] = array( 's' => get_query_var( 's' ) );
	}
	echo paginate_links( $pagination );
}

add_filter( 'wp_check_filetype_and_ext', 'wpse_file_and_ext_webp', 10, 4 );
function wpse_file_and_ext_webp( $types, $file, $filename, $mimes ) {
	if ( false !== strpos( $filename, '.webp' ) ) {
		$types['ext']  = 'webp';
		$types['type'] = 'image/webp';
	}

	return $types;
}

add_filter( 'upload_mimes', 'wpse_mime_types_webp' );
function wpse_mime_types_webp( $mimes ) {
	$mimes['webp'] = 'image/webp';

	return $mimes;
}

function add_file_types_to_uploads( $file_types ) {
	$new_filetypes        = array();
	$new_filetypes['svg'] = 'image/svg+xml';
	$file_types           = array_merge( $file_types, $new_filetypes );

	return $file_types;
}

add_action( 'upload_mimes', 'add_file_types_to_uploads' );
function add_specific_menu_location_atts( $atts, $item, $args ) {
	if ( $args->theme_location == 'footer' ) {
		$atts['class'] = 'nav-box-wrapper__link';
	}

	if ( $args->theme_location == 'top' ) {
		$atts['class'] = 'header-wrapper__link';
	}

	return $atts;
}

add_filter( 'nav_menu_link_attributes', 'add_specific_menu_location_atts', 10, 3 );




function load_att( $image ) {
	$image_url = $image;

	$upload_dir = wp_upload_dir();

	$image_data = file_get_contents( $image_url );

	$filename = basename( $image_url );

	if ( wp_mkdir_p( $upload_dir['path'] ) ) {
		$file = $upload_dir['path'] . '/' . $filename;
	} else {
		$file = $upload_dir['basedir'] . '/' . $filename;
	}

	file_put_contents( $file, $image_data );

	$wp_filetype = wp_check_filetype( $filename, null );

	$attachment = array(
		'post_mime_type' => $wp_filetype['type'],
		'post_title'     => sanitize_file_name( $filename ),
		'post_content'   => '',
		'post_status'    => 'inherit'
	);

	$attach_id = wp_insert_attachment( $attachment, $file );
	require_once( ABSPATH . 'wp-admin/includes/image.php' );
	$attach_data = wp_generate_attachment_metadata( $attach_id, $file );
	wp_update_attachment_metadata( $attach_id, $attach_data );

	return $attach_id;
}
