<?php

use Carbon_Fields\Container;
use Carbon_Fields\Field;

add_action( 'carbon_fields_register_fields', 'crb_attach_theme_options' );
function crb_attach_theme_options() {
	/*Настройки шаблона*/
	Container::make( 'theme_options', "Pin-Up Casino" )
	         ->add_tab( "Общие настройки", array(
		         Field::make( 'text', 'ref_all', "Реферальная ссылка на все ссылки" ),
		         Field::make( 'text', 'home_count', "Сколько слотов выводить на главной?" ),
		         Field::make( 'textarea', 'code', "Код в футере" ),
		         Field::make( 'complex', 'now', "Сейчас выигрывают" )
		              ->add_fields( array(
			              Field::make( 'image', 'images', 'Картинка слота' ),
			              Field::make( 'text', 'name', "Название слота" ),
			              Field::make( 'text', 'summa', "Сумма выйгрыша" ),
		              ) ),
	         ) )
	         ->add_tab( "Слайдер", array(
			         Field::make( 'complex', 'slider', "Слайдер" )
			              ->add_fields( array(
				              Field::make( 'text', 'title', "Заголовок" ),
				              Field::make( 'textarea', 'desc', "Описание" ),
				              Field::make( 'text', 'link', "Ссылка кнопки" ),
				              Field::make( 'image', 'images', 'Картинка слайдера' ),

			              ) ),
		         )
	         )
	         ->add_tab( "Слоты", array(
			         Field::make( 'text', 'slot_count', "Сколько слотов выводить на странице архива" ),
			         Field::make( 'rich_text', 'after_slots', "Текст после списка слотов" ),
			         Field::make( 'image', 'back_all', 'Фон блока с фреймом(для всех)' ),
		         )
	         ) ->add_tab( "Внутряки", array(
				Field::make( 'text', 'top5', "ID слотов топ5 через запятую для внутряков" ),
			)
		);

	/*Cлотs*/
	Container::make( 'post_meta', "Опции слотов" )
	         ->where( 'post_type', '=', 'slots' )
	         ->add_fields( array(
		         Field::make( 'rich_text', 'before', 'Текст перед фреймом слота' ),
		         Field::make( 'text', 'ref', 'Реф ссылка(или берется в настройках общая)' ),
		         Field::make( 'textarea', 'demo', 'Фрейм слота' ),
	         ) );

	/*Тип слота*/
	Container::make( 'term_meta', "Дополнительныее поля" )
	         ->where( 'term_taxonomy', '=', 'soft' )
	         ->add_fields( array(
		         Field::make( 'image', 'icon', 'Картинка провайдера(81*26)' ),
	         ) );


}

add_action( 'after_setup_theme', 'crb_load' );
function crb_load() {
	require_once( get_template_directory() . '/inc/libs/carbon-fields/vendor/autoload.php' );
	\Carbon_Fields\Carbon_Fields::boot();
}
