<?php
get_header();
$all_links = carbon_get_theme_option('ref_all');
?>

<?php while (have_posts()):the_post(); ?>
    <!-- BEGIN CONTENT -->
    <div class="content">
        <div class="container">
            <div class="content__block">
                <div class="content__left">
                    <!-- BEGIN BONUS -->
                    <div class="bonus">
                        <div class="bonus__content">
                            <div class="bonus__block">
                                <div class="bonus__caption">Стартовый бонус</div>
                                <div class="bonus__sum">500 USD</div>
                            </div>
                        </div>
                        <div class="bonus__button">
                            <a href="<?php echo $all_links; ?>" class="button" target="_blank" rel="nofollow">Получить
                                сейчас</a>
                        </div>
                    </div>
                    <!-- END BONUS -->

                    <!-- BEGIN NAV -->
                    <ul class="nav nav_dark">
                        <?php
                        $ret = wp_nav_menu(array(
                            'menu_class' => 'menu',
                            'theme_location' => 'gray',
                            'echo' => false,
                        ));
                        $ret = strip_tags($ret, '<li><a>');
                        echo $ret;
                        ?>
                    </ul>
                    <!-- END NAV -->
                    <?php $now = carbon_get_theme_option('now');
                    if ($now): ?>
                        <!-- BEGIN ROUNDS -->
                        <div class="rounds">
                            <div class="rounds__title">Сейчас выигрывают</div>
                            <div class="rounds__items">
                                <?
                                foreach ($now as $now_item):
                                    $slide_att = $now_item['images'];
                                    if ($slide_att):
                                        $slide_src = wp_get_attachment_url($slide_att);
                                        ?>
                                        <div class="rounds__item">
                                            <div class="rounds__img">
                                                <img src="<?php echo $slide_src; ?>" alt="картинка слота">
                                            </div>
                                            <div class="rounds__block">
                                                <div class="rounds__caption">Игрок</div>
                                                <div class="rounds__sum">Выиграл <?php echo $now_item['summa']; ?></div>
                                            </div>
                                            <div class="rounds__more">
                                                <a href="<?php echo $all_links; ?>" class="button" target="_blank"
                                                   rel="nofollow">Играть</a>
                                            </div>
                                        </div>
                                    <?php endif; endforeach; ?>
                            </div>
                        </div>
                        <!-- END ROUNDS -->

                    <?php endif; ?>
                    <?
                    $top5_string = carbon_get_theme_option('top5');
                    if ($top5_string):

                        $top5 = explode(',', $top5_string);
                        ?>
                        <!-- BEGIN ROUNDS -->
                        <div class="rounds">
                            <div class="rounds__title">ТОП 5 игр недели</div>
                            <div class="rounds__items">
                                <?php foreach ($top5 as $item): ?>
                                    <div class="rounds__item">
                                        <div class="rounds__img">
                                            <img src="<?php echo get_the_post_thumbnail_url($item) ?>"
                                                 alt="<?php echo get_the_title($item); ?>">
                                        </div>
                                        <div class="rounds__block">
                                            <div class="rounds__caption"><?php echo get_the_title($item); ?></div>
                                        </div>
                                        <div class="rounds__more">
                                            <a href="<?php echo get_the_permalink($item); ?>" class="button">Играть</a>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <!-- END ROUNDS -->
                    <?php endif; ?>
                </div>
                <div class="content__right">
                    <?php
                    $slider = carbon_get_theme_option('slider');
                    if ($slider):
                        ?>
                        <!-- BEGIN SLIDER -->
                        <div class="slider">
                            <div class="owl-carousel">
                                <?php
                                foreach ($slider as $slide):
                                    $slide_att = $slide['images'];
                                    if ($slide_att):
                                        $slide_src = wp_get_attachment_url($slide_att);
                                        ?>
                                        <div class="item">
                                            <div class="slider__item"
                                                 style="background-image: url(<?php echo $slide_src; ?>);">
                                                <div class="slider__left">
                                                    <div class="slider__caption"><?php echo $slide['title']; ?></div>
                                                    <div class="slider__label"><?php echo $slide['desc']; ?></div>
                                                </div>
                                                <div class="slider__right">
                                                    <div class="slider__button">
                                                        <a href="<?php echo $slide['link']; ?>"
                                                           class="button button_red">Смотреть
                                                            сейчас</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <!-- END SLIDER -->
                    <?php endif; ?>


                    <!-- BEGIN NOW -->
                    <div class="now">
                        <a href="#" class="button">Играть сейчас</a>
                    </div>
                    <!-- END NOW -->

                    <!-- BEGIN TITLE -->
                    <div class="title title_hidden">
                        <ul class="links">
                            <li>
                                <a href="<?php echo home_url('/') ?>" rel="nofollow" target="_blank">Главная</a>
                            </li>
                        </ul>
                    </div>
                    <!-- END TITLE -->
                    <!-- BEGIN BLOCKS -->
                    <div class="blocks">
                        <div class="blocks__col">
                            <?
                            $provider = get_terms([
                                'taxonomy' => 'soft',
                                'hide_empty' => false,
                            ]);
                            if ($provider):
                                ?>
                                <!-- BEGIN MENU -->
                                <div class="menu">
                                    <div class="menu__button">
                                        <div class="menu__icon"><i></i><i></i><i></i></div>
                                        <span>Все игры</span>
                                    </div>
                                    <div class="menu__list">
                                        <ul class="nav nav_dark">
                                            <?php foreach ($provider as $term): ?>
                                                <li>
                                                    <a href="<?php echo get_term_link($term->term_id, 'soft'); ?>"><?php echo $term->name; ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        </ul>
                                    </div>
                                </div>
                                <!-- END MENU -->
                            <?php endif; ?>
                        </div>
                        <div class="blocks__col">
                            <div class="search">
                                <form class="search" action="<?php echo $all_links; ?>">
                                    <input type="text" name="s">
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- END BLOCKS -->
                    <div class="text">
                        <div class="text__info">
                            <div class="text__date"><?php echo get_the_date('d.m.Y'); ?></div>

                        </div>
                        <h1><?php echo get_the_title(); ?></h1>
                        <? the_content(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END CONTENT -->
<?php endwhile; ?>


<?php get_footer(); ?>
