<?php

get_header();

$all_links = carbon_get_theme_option('ref_all');
?>


<!-- BEGIN CONTENT -->
<div class="content">
    <div class="container">
        <div class="content__block">
            <div class="content__left">
                <!-- BEGIN BONUS -->
                <div class="bonus">
                    <div class="bonus__content">
                        <div class="bonus__block">
                            <div class="bonus__caption">Стартовый бонус</div>
                            <div class="bonus__sum">500 USD</div>
                        </div>
                    </div>
                    <div class="bonus__button">
                        <a href="<?php echo $all_links; ?>" class="button">Получить сейчас</a>
                    </div>
                </div>
                <!-- END BONUS -->

                <!-- BEGIN NAV -->
                <ul class="nav">
                    <?php
                    $ret = wp_nav_menu(array(
                        'menu_class' => 'menu',
                        'theme_location' => 'red',
                        'echo' => false,
                    ));
                    $ret = strip_tags($ret, '<li><a>');
                    echo $ret;
                    ?>
                </ul>
                <ul class="nav nav_dark">
                    <li><a href="<?php echo home_url('/') ?>slots">Все игры</a></li>
                    <li>
                        <form class="search">
                            <input type="text" placeholder="Поиск по играм">
                        </form>
                    </li>
                    <?php
                    $ret = wp_nav_menu(array(
                        'menu_class' => 'menu',
                        'theme_location' => 'gray',
                        'echo' => false,
                    ));
                    $ret = strip_tags($ret, '<li><a>');
                    echo $ret;
                    ?>
                </ul>
                <!-- END NAV -->
            </div>
            <div class="content__right">
                <?php
                $slider = carbon_get_theme_option('slider');
                if ($slider):
                    ?>
                    <!-- BEGIN SLIDER -->
                    <div class="slider">
                        <div class="owl-carousel">
                            <?php
                            foreach ($slider as $slide):
                                $slide_att = $slide['images'];
                                if ($slide_att):
                                    $slide_src = wp_get_attachment_url($slide_att);
                                    ?>
                                    <div class="item">
                                        <div class="slider__item"
                                             style="background-image: url(<?php echo $slide_src; ?>);">
                                            <div class="slider__left">
                                                <div class="slider__caption"><?php echo $slide['title']; ?></div>
                                                <div class="slider__label"><?php echo $slide['desc']; ?></div>
                                            </div>
                                            <div class="slider__right">
                                                <div class="slider__button">
                                                    <a href="<?php echo $slide['link']; ?>" class="button button_red">Смотреть
                                                        сейчас</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </div>
                    </div>
                    <!-- END SLIDER -->
                <?php endif; ?>
                <!-- BEGIN NOW -->
                <div class="now">
                    <a href="<?php echo $all_links; ?>" class="button">Играть сейчас</a>
                </div>
                <!-- END NOW -->




                <?
                $type = get_terms([
                    'taxonomy' => 'type',
                    'hide_empty' => false,
                ]);
                if ($type):
                    ?>
                    <!-- BEGIN LINKS -->
                    <ul class="links links_hidden">
                        <?php foreach ($type as $term): ?>
                            <li>
                                <a href="<?php echo get_term_link($term->term_id, 'type'); ?>"><?php echo $term->name; ?></a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                <?php
                endif;
                ?>
                <!-- END LINKS -->

                <!-- BEGIN BLOCKS -->
                <div class="blocks">
                    <div class="blocks__col">
                        <?
                        $provider = get_terms([
                            'taxonomy' => 'soft',
                            'hide_empty' => false,
                        ]);
                        if ($provider):
                            ?>
                            <!-- BEGIN MENU -->
                            <div class="menu">
                                <div class="menu__button">
                                    <div class="menu__icon"><i></i><i></i><i></i></div>
                                    <span>Все игры</span>
                                </div>
                                <div class="menu__list">
                                    <ul class="nav nav_dark">
                                        <?php foreach ($provider as $term): ?>
                                            <li>
                                                <a href="<?php echo get_term_link($term->term_id, 'soft'); ?>"><?php echo $term->name; ?></a>
                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                            </div>
                            <!-- END MENU -->
                        <?php endif; ?>
                    </div>
                    <div class="blocks__col">
                        <div class="search">
                            <form class="search" action="<?php echo $all_links; ?>">
                                <input type="text" name="s">
                            </form>
                        </div>
                    </div>
                </div>
                <!-- END BLOCKS -->

                <!-- BEGIN GAMES -->
                <div class="games">
                    <div class="games__row">
                        <?
                        global $wp_query;
                        $per_page_global = carbon_get_theme_option( 'slot_count' );
                        if ( $per_page_global ) {
                            $perpage = $per_page_global;
                        } else {
                            $perpage = 18;
                        }
                        $args = array_merge( $wp_query->query_vars, [ 'posts_per_page' => $perpage ] );
                        query_posts( $args );
                        if ( have_posts() ):
                            while ( have_posts() ): the_post();
                                get_template_part( 'loop/slot_item' );
                            endwhile;
                        else: ?>
                            <?php echo __( "Slots not found!", "jgambling" ) ?>
                        <?php endif; ?>
                    </div>
                    <?php if ( $wp_query->max_num_pages > 1 ) : ?>
                        <script>
                            var ajaxurl = '<?php echo site_url() ?>/wp-admin/admin-ajax.php';
                            var posts = '<?php echo serialize( $wp_query->query_vars ); ?>';
                            var current_page = <?php echo ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1; ?>;
                            var max_pages = '<?php echo $wp_query->max_num_pages; ?>';
                        </script>
                        <div class="games__all loadmore">
                            <a href="<?php echo home_url('/') ?>slots">Загрузить еще</a>
                        </div>
                    <?php endif; ?>
                </div>
                <!-- END GAMES -->

                <!-- BEGIN TEXT -->
                <div class="text">
                    <h1><? echo single_cat_title()?></h1>
                    <? $description = term_description();
                    if ( $description ):
                        echo apply_filters( 'the_content', $description );
                    endif; ?>
                </div>
                <!-- END TEXT -->
            </div>
        </div>
    </div>
</div>
<!-- END CONTENT -->

<?php get_footer(); ?>
