<?php
/*
  *
  * Template name: Главная
  * */
get_header();

$all_links = carbon_get_theme_option('ref_all');
?>


<!-- BEGIN CONTENT -->
<div class="content">
    <div class="container">
        <div class="content__block">
            <div class="content__left">
                <!-- BEGIN BONUS -->
                <div class="bonus">
                    <div class="bonus__content">
                        <div class="bonus__block">
                            <div class="bonus__caption">Стартовый бонус</div>
                            <div class="bonus__sum">500 USD</div>
                        </div>
                    </div>
                    <div class="bonus__button">
                        <a href="<?php echo $all_links; ?>" class="button">Получить сейчас</a>
                    </div>
                </div>
                <!-- END BONUS -->

                <!-- BEGIN NAV -->
                <ul class="nav">
                    <?php
                    $ret = wp_nav_menu(array(
                        'menu_class' => 'menu',
                        'theme_location' => 'red',
                        'echo' => false,
                    ));
                    $ret = strip_tags($ret, '<li><a>');
                    echo $ret;
                    ?>
                </ul>
                <ul class="nav nav_dark">
                    <li><a href="<?php echo home_url('/') ?>slots">Все игры</a></li>
                    <li>
                        <form class="search">
                            <input type="text" placeholder="Поиск по играм">
                        </form>
                    </li>
                    <?php
                    $ret = wp_nav_menu(array(
                        'menu_class' => 'menu',
                        'theme_location' => 'gray',
                        'echo' => false,
                    ));
                    $ret = strip_tags($ret, '<li><a>');
                    echo $ret;
                    ?>
                </ul>
                <!-- END NAV -->
            </div>
            <div class="content__right">
                <?php
                $slider = carbon_get_theme_option('slider');
                if ($slider):
                    ?>
                    <!-- BEGIN SLIDER -->
                    <div class="slider">
                        <div class="owl-carousel">
                            <?php
                            foreach ($slider as $slide):
                                $slide_att = $slide['images'];
                                if ($slide_att):
                                    $slide_src = wp_get_attachment_url($slide_att);
                                    ?>
                                    <div class="item">
                                        <div class="slider__item"
                                             style="background-image: url(<?php echo $slide_src; ?>);">
                                            <div class="slider__left">
                                                <div class="slider__caption"><?php echo $slide['title']; ?></div>
                                                <div class="slider__label"><?php echo $slide['desc']; ?></div>
                                            </div>
                                            <div class="slider__right">
                                                <div class="slider__button">
                                                    <a href="<?php echo $slide['link']; ?>" class="button button_red">Смотреть
                                                        сейчас</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </div>
                    </div>
                    <!-- END SLIDER -->
                <?php endif; ?>
                <!-- BEGIN NOW -->
                <div class="now">
                    <a href="<?php echo $all_links; ?>" class="button">Играть сейчас</a>
                </div>
                <!-- END NOW -->


                <?php
                $now = carbon_get_theme_option('now');
                if ($now): ?>
                    <!-- BEGIN HITS -->
                    <div class="hits-wrapper">
                        <ul class="links">
                            <li><a href="<?php echo $all_links; ?>" rel="nofollow" target="_blank">Сейчас выигрывают</a>
                            </li>
                        </ul>
                        <div class="hits">
                            <div class="owl-carousel">
                                <?
                                foreach ($now as $now_item):
                                    $slide_att = $now_item['images'];
                                    if ($slide_att):
                                        $slide_src = wp_get_attachment_url($slide_att);
                                        ?>
                                        <div class="item">
                                            <div class="hits__item">
                                                <div class="hits__caption"><?php echo $now_item['name']; ?></div>
                                                <div class="hits__img">
                                                    <img src="<?php echo esc_url(aq_resize($slide_src, 100, 75, true, true, true)) ?>"
                                                         alt="<?php echo $now_item['name']; ?>"
                                                         title="<?php echo $now_item['name']; ?>">
                                                </div>
                                                <div class="hits__bottom">
                                                    <div class="hits__left"><?php echo $now_item['summa']; ?></div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endif; endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <!-- END HITS -->
                <?php endif; ?>

                <?
                $type = get_terms([
                    'taxonomy' => 'type',
                    'hide_empty' => false,
                ]);
                if ($type):
                    ?>
                    <!-- BEGIN LINKS -->
                    <ul class="links links_hidden">
                        <?php foreach ($type as $term): ?>
                            <li>
                                <a href="<?php echo get_term_link($term->term_id, 'type'); ?>"><?php echo $term->name; ?></a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                <?php
                endif;
                ?>
                <!-- END LINKS -->

                <!-- BEGIN BLOCKS -->
                <div class="blocks">
                    <div class="blocks__col">
                        <?
                        $provider = get_terms([
                            'taxonomy' => 'soft',
                            'hide_empty' => false,
                        ]);
                        if ($provider):
                            ?>
                            <!-- BEGIN MENU -->
                            <div class="menu">
                                <div class="menu__button">
                                    <div class="menu__icon"><i></i><i></i><i></i></div>
                                    <span>Все игры</span>
                                </div>
                                <div class="menu__list">
                                    <ul class="nav nav_dark">
                                        <?php foreach ($provider as $term): ?>
                                            <li>
                                                <a href="<?php echo get_term_link($term->term_id, 'soft'); ?>"><?php echo $term->name; ?></a>
                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                            </div>
                            <!-- END MENU -->
                        <?php endif; ?>
                    </div>
                    <div class="blocks__col">
                        <div class="search">
                            <form class="search" action="<?php echo $all_links; ?>">
                                <input type="text" name="s">
                            </form>
                        </div>
                    </div>
                </div>
                <!-- END BLOCKS -->

                <!-- BEGIN GAMES -->
                <div class="games">
                    <div class="games__row">
                        <?
                        wp_reset_query();
                        $home_count = carbon_get_theme_option('home_count');
                        if (!$home_count) {
                            $home_count = 12;
                        }
                        $args = ['post_type' => 'slots', 'posts_per_page' => $home_count];
                        $query = new WP_Query($args);
                        while ($query->have_posts()): $query->the_post();
                            get_template_part('loop/slot_item');
                        endwhile; ?>
                    </div>
                    <div class="games__all">
                        <a href="<?php echo home_url('/') ?>slots">Показать все игры</a>
                    </div>
                </div>
                <!-- END GAMES -->

                <!-- BEGIN TEXT -->
                <div class="text">
                    <?
                    wp_reset_query();
                    while (have_posts()):the_post();
                        the_content();
                    endwhile; ?>
                </div>
                <!-- END TEXT -->
            </div>
        </div>
    </div>
</div>
<!-- END CONTENT -->

<?php get_footer(); ?>
